Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030311
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajoralways2015-07-03 10:312015-07-27 14:01
ReportermalsasuaView Statuspublic 
Assigned ToRetail 
PriorityurgentResolutionfixedFixed in VersionRR15Q2.3
StatusclosedFix in branchFixed in SCM revisionafde2caf17df
ProjectionnoneETAnoneTarget VersionRR15Q2.3
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030311: normal receipts are created as paid as credit

Descriptionwhen the user remove the paids after that "done" button is clicked, and the system has not finished the process, the receipt is created as credit receipt (without paids, invoiced, etc...)
Steps To Reproducesee video attached and screenshot
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0030309 closedRetail normal receipts are created as paid as credit 

-  Notes
(0078726)
guilleaer (developer)
2015-07-08 09:02

attached diff for 15q2.2
(0078817)
hgbot (developer)
2015-07-15 16:15

Repository: retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal
Changeset: 0fd1a763d37f4bf27e25690fa9427f2f4e10f651
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 15 16:15:25 2015 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal/rev/0fd1a763d37f4bf27e25690fa9427f2f4e10f651 [^]

Fixed issue 30311. Block the user actions via scrim when the ticket is completed.
Previously, the user could execute several actions while the ticket was being processed, such as cancelling payments, and this led to inconsistent data. Now it's not possible, as the screen is blocked.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0078874)
hgbot (developer)
2015-07-16 13:05

Repository: retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal
Changeset: 59a819e57b3b7bdd303931d78fae97357b418af7
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 16 13:03:19 2015 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal/rev/59a819e57b3b7bdd303931d78fae97357b418af7 [^]

Related to issue 30311. Revert wrong commit

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0078875)
hgbot (developer)
2015-07-16 13:05

Repository: retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal
Changeset: afde2caf17df571a3d283762778e6fbe512cdf48
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 16 13:04:46 2015 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal/rev/afde2caf17df571a3d283762778e6fbe512cdf48 [^]

Fixed issue 30311. Block the user actions via scrim when the ticket is completed.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0079079)
guilleaer (developer)
2015-07-27 14:01

Tested & Verified

- Issue History
Date Modified Username Field Change
2015-07-03 10:51 marvintm Type defect => backport
2015-07-03 10:51 marvintm Target Version => RR15Q2.3
2015-07-04 19:28 dmitry_mezentsev Tag Attached: Approved
2015-07-08 09:02 guilleaer File Added: fixIssue30309_RRQ152_2_bueno.diff
2015-07-08 09:02 guilleaer Note Added: 0078726
2015-07-15 16:15 hgbot Checkin
2015-07-15 16:15 hgbot Note Added: 0078817
2015-07-15 16:15 hgbot Status scheduled => resolved
2015-07-15 16:15 hgbot Resolution open => fixed
2015-07-15 16:15 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal/rev/0fd1a763d37f4bf27e25690fa9427f2f4e10f651 [^]
2015-07-16 13:05 hgbot Checkin
2015-07-16 13:05 hgbot Note Added: 0078874
2015-07-16 13:05 hgbot Checkin
2015-07-16 13:05 hgbot Note Added: 0078875
2015-07-16 13:05 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal/rev/0fd1a763d37f4bf27e25690fa9427f2f4e10f651 [^] => http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal/rev/afde2caf17df571a3d283762778e6fbe512cdf48 [^]
2015-07-27 14:01 guilleaer Review Assigned To => guilleaer
2015-07-27 14:01 guilleaer Note Added: 0079079
2015-07-27 14:01 guilleaer Status resolved => closed
2015-07-27 14:01 guilleaer Fixed in Version => RR15Q2.3
2015-07-30 17:51 guilleaer File Deleted: fixIssue30309_RRQ152_2_bueno.diff


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker